/*
 *     gtkatlantic - the gtk+ monopd client, enjoy network monopoly games
 *
 *
 *  Copyright (C) 2002 Rochet Sylvain
 *
 *  gtkatlantic is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define GETDATA_STEP 4096
#define SECURITY_SIZE 1024


/* ** prototypes for connect/disconnect to server */
gboolean server_connect(guint16 *idconnect, gchar* host, guint32 port);
gboolean server_disconnect(guint32 id);
gboolean client_can_get_data_from_server(guint32 id);
gboolean client_recv(guint32 id);
gboolean client_send(guint32 id, gchar *data, guint32 lenght_data);
gboolean client_fonct();
