/*
 *     gtkatlantic - the gtk+ monopd client, enjoy network monopoly games
 *
 *
 *  Copyright (C) 2002 Rochet Sylvain
 *
 *  gtkatlantic is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

gboolean connect_get_valid_id(guint16 *idconnect);
void text_insert_message(gchar* text, guint32 lenght);
void text_insert_chat(gchar* text, guint32 lenght);
void game_alloc();
void game_free();
gboolean game_get_valid_player_slot(guint8 *playerslot);
gint8 get_player_slot_with_playerid(guint32 playerid);
gint8 get_playerlistcard_id_with_estate(guint32 estate);
gboolean game_get_valid_command_slot(guint8 *commandslot);
gint8 get_command_button_slot_with_command(guchar *command);
